<template>
  <div>
    <div class="aos-form-panel" >
      <span @click.native="formPanelClick">
        <transition>
          <i class="el-icon-arrow-down" v-if="showIconDown"></i>
          <i class="el-icon-arrow-up" v-else></i>
        </transition>  
        {{title}}
      </span>
    </div>
    <slot></slot>
  </div>
</template>
<script>
export default {
  name: 'AosFormPanel',
  data() {
    return {
      showIconDown: true
    };
  },
  props: {
    title: ''
  },
  methods: {
    formPanelClick() {
      this.showIconDown = !this.showIconDown;
    }
  }
};
</script>

